<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxCellMarker (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxCellMarker (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxCellMarker.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">hk.quantr.mxgraph.swing.handler</a></div>
<h2 title="Class mxCellMarker" class="title">Class mxCellMarker</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Container</li>
<li>
<ul class="inheritance">
<li>javax.swing.JComponent</li>
<li>
<ul class="inheritance">
<li>hk.quantr.mxgraph.swing.handler.mxCellMarker</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>java.awt.image.ImageObserver</code>, <code>java.awt.MenuContainer</code>, <code>java.io.Serializable</code></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="mxCellTracker.html" title="class in hk.quantr.mxgraph.swing.handler">mxCellTracker</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">mxCellMarker</span>
extends javax.swing.JComponent</pre>
<div class="block">Implements a mouse tracker that marks cells under the mouse.
 
 This class fires the following event:
 
 mxEvent.MARK fires in mark and unmark to notify the listener of a new cell
 under the mouse. The <code>state</code> property contains the mxCellState
 of the respective cell or null if no cell is under the mouse.
 
 To create a cell marker which highlights cells "in-place", the following
 code can be used:
 <code>
 mxCellMarker highlighter = new mxCellMarker(graphComponent) {
 
   protected Map<String, Object> lastStyle;
   
   public mxCellState process(MouseEvent e)
   {
     mxCellState state = null;
     
     if (isEnabled())
     {
       state = getState(e);
       boolean isValid = (state != null) ? isValidState(state) : false;
       
       if (!isValid)
       {
         state = null;
       }
       
       highlight(state);
     }
     
     return state;
   }
   
   public void highlight(mxCellState state)
   {
     if (validState != state)
     {
       Rectangle dirty = null;
       
       if (validState != null)
       {
         validState.setStyle(lastStyle);
         dirty = validState.getBoundingBox().getRectangle();
         dirty.grow(4, 4);
       }
       
       if (state != null)
       {
         lastStyle = state.getStyle();
         state.setStyle(new Hashtable<String, Object>(state.getStyle()));
         state.getStyle().put("strokeColor", "#00ff00");
         state.getStyle().put("fontColor", "#00ff00");
         state.getStyle().put("strokeWidth", "3");
          
         Rectangle tmp = state.getBoundingBox().getRectangle();
         
         if (dirty != null)
         {
           dirty.add(tmp);
         }
         else
         {
           dirty = tmp;
         }
         
         dirty.grow(4, 4);
       }
       
       validState = state;
       graphComponent.repaint(dirty);
     }
   }

   public void reset()
   {
     highlight(null);
   }

   public void paint(Graphics g)
   {
     // do nothing
   }
 };
  
 graphComponent.getConnectionHandler().setMarker(highlighter);
 </code></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../serialized-form.html#hk.quantr.mxgraph.swing.handler.mxCellMarker">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JComponent</h3>
<code>javax.swing.JComponent.AccessibleJComponent</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Container</h3>
<code>java.awt.Container.AccessibleAWTContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy</code></li>
</ul>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.awt.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#currentColor">currentColor</a></span></code></th>
<td class="colLast">
<div class="block">Holds the current marker color.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.awt.Stroke</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#DEFAULT_STROKE">DEFAULT_STROKE</a></span></code></th>
<td class="colLast">
<div class="block">Specifies the default stroke for the marker.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#enabled">enabled</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if the marker is enabled.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#eventSource">eventSource</a></span></code></th>
<td class="colLast">
<div class="block">Holds the event source.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#graphComponent">graphComponent</a></span></code></th>
<td class="colLast">
<div class="block">Holds the enclosing graph component.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#hotspot">hotspot</a></span></code></th>
<td class="colLast">
<div class="block">Specifies the portion of the width and height that should trigger
 a highlight.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#hotspotEnabled">hotspotEnabled</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if the hotspot is enabled.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.awt.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#invalidColor">invalidColor</a></span></code></th>
<td class="colLast">
<div class="block">Specifies the valid- and invalidColor for the marker.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#KEEP_ON_TOP">KEEP_ON_TOP</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if the highlights should appear on top of everything
 else in the overlay pane.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#markedState">markedState</a></span></code></th>
<td class="colLast">
<div class="block">Holds the marked state.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#swimlaneContentEnabled">swimlaneContentEnabled</a></span></code></th>
<td class="colLast">
<div class="block">Specifies if the the content area of swimlane should be non-transparent
 to mouse events.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.awt.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#validColor">validColor</a></span></code></th>
<td class="colLast">
<div class="block">Specifies the valid- and invalidColor for the marker.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#validState">validState</a></span></code></th>
<td class="colLast">
<div class="block">Holds the marked state if it is valid.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.JComponent</h3>
<code>listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent)">mxCellMarker</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</code></th>
<td class="colLast">
<div class="block">Constructs a new marker for the given graph component.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Color)">mxCellMarker</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
            java.awt.Color&nbsp;validColor)</code></th>
<td class="colLast">
<div class="block">Constructs a new marker for the given graph component.</div>
</td>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Color,java.awt.Color)">mxCellMarker</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
            java.awt.Color&nbsp;validColor,
            java.awt.Color&nbsp;invalidColor)</code></th>
<td class="colLast">
<div class="block">Constructs a new marker for the given graph component.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Color,java.awt.Color,double)">mxCellMarker</a></span>&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
            java.awt.Color&nbsp;validColor,
            java.awt.Color&nbsp;invalidColor,
            double&nbsp;hotspot)</code></th>
<td class="colLast">
<div class="block">Constructs a new marker for the given graph component.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">addListener</a></span>&#8203;(java.lang.String&nbsp;eventName,
           <a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Adds the given event listener.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCell(java.awt.event.MouseEvent)">getCell</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">
<div class="block">Returns the state at the given location.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCurrentColor()">getCurrentColor</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the current color.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getHotspot()">getHotspot</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the hotspot.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getInvalidColor()">getInvalidColor</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the color used for invalid highlights.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMarkedState()">getMarkedState</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the marked state.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected java.awt.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMarkerColor(java.awt.event.MouseEvent,hk.quantr.mxgraph.view.mxCellState,boolean)">getMarkerColor</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e,
              <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
              boolean&nbsp;isValid)</code></th>
<td class="colLast">
<div class="block">Returns the valid- or invalidColor depending on the value of isValid.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getState(java.awt.event.MouseEvent)">getState</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">
<div class="block">Uses getCell, getMarkedState and intersects to return the state for
 the given event.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStateToMark(hk.quantr.mxgraph.view.mxCellState)">getStateToMark</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Returns the state to be marked for the given state under the mouse.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.awt.Color</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getValidColor()">getValidColor</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the color used for valid highlights.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getValidState()">getValidState</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the valid state.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#hasValidState()">hasValidState</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if validState is not null.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#highlight(hk.quantr.mxgraph.view.mxCellState,java.awt.Color)">highlight</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
         java.awt.Color&nbsp;color)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#highlight(hk.quantr.mxgraph.view.mxCellState,java.awt.Color,boolean)">highlight</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
         java.awt.Color&nbsp;color,
         boolean&nbsp;valid)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#intersects(hk.quantr.mxgraph.view.mxCellState,java.awt.event.MouseEvent)">intersects</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
          java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">
<div class="block">Returns true if the given mouse event intersects the given state.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isEnabled()">isEnabled</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if the marker is enabled, that is, if it processes events
 in process.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isHotspotEnabled()">isHotspotEnabled</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if hotspot is used in intersects.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isSwimlaneContentEnabled()">isSwimlaneContentEnabled</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns true if the content area of swimlanes is non-transparent to
 events.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isValidState(hk.quantr.mxgraph.view.mxCellState)">isValidState</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</code></th>
<td class="colLast">
<div class="block">Returns true if the given state is a valid state.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#mark()">mark</a></span>()</code></th>
<td class="colLast">
<div class="block">Marks the markedState and fires a mxEvent.MARK event.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#paint(java.awt.Graphics)">paint</a></span>&#8203;(java.awt.Graphics&nbsp;g)</code></th>
<td class="colLast">
<div class="block">Paints the outline of the markedState with the currentColor.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#process(java.awt.event.MouseEvent)">process</a></span>&#8203;(java.awt.event.MouseEvent&nbsp;e)</code></th>
<td class="colLast">
<div class="block">Processes the given event and marks the state returned by getStateAt
 with the color returned by getMarkerColor.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">removeListener</a></span>&#8203;(<a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</code></th>
<td class="colLast">
<div class="block">Removes the given event listener.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">removeListener</a></span>&#8203;(<a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener,
              java.lang.String&nbsp;eventName)</code></th>
<td class="colLast">
<div class="block">Removes the given event listener for the specified event name.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#reset()">reset</a></span>()</code></th>
<td class="colLast">
<div class="block">Resets the state of the cell marker.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setCurrentColor(java.awt.Color)">setCurrentColor</a></span>&#8203;(java.awt.Color&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the current color.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setEnabled(boolean)">setEnabled</a></span>&#8203;(boolean&nbsp;enabled)</code></th>
<td class="colLast">
<div class="block">Sets the enabled state of the marker.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setHotspot(double)">setHotspot</a></span>&#8203;(double&nbsp;hotspot)</code></th>
<td class="colLast">
<div class="block">Sets the hotspot.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setHotspotEnabled(boolean)">setHotspotEnabled</a></span>&#8203;(boolean&nbsp;enabled)</code></th>
<td class="colLast">
<div class="block">Specifies whether the hotspot should be used in intersects.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setInvalidColor(java.awt.Color)">setInvalidColor</a></span>&#8203;(java.awt.Color&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the color used for invalid highlights.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setMarkedState(hk.quantr.mxgraph.view.mxCellState)">setMarkedState</a></span>&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the marked state.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSwimlaneContentEnabled(boolean)">setSwimlaneContentEnabled</a></span>&#8203;(boolean&nbsp;swimlaneContentEnabled)</code></th>
<td class="colLast">
<div class="block">Sets if the content area of swimlanes should not be transparent to
 events.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setValidColor(java.awt.Color)">setValidColor</a></span>&#8203;(java.awt.Color&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Sets the color used for valid highlights.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#unmark()">unmark</a></span>()</code></th>
<td class="colLast">
<div class="block">Hides the marker and fires a mxEvent.MARK event.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JComponent</h3>
<code>addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUI, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<code>add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="KEEP_ON_TOP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>KEEP_ON_TOP</h4>
<pre>public static&nbsp;boolean KEEP_ON_TOP</pre>
<div class="block">Specifies if the highlights should appear on top of everything
 else in the overlay pane. Default is false.</div>
</li>
</ul>
<a id="DEFAULT_STROKE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_STROKE</h4>
<pre>public static&nbsp;java.awt.Stroke DEFAULT_STROKE</pre>
<div class="block">Specifies the default stroke for the marker.</div>
</li>
</ul>
<a id="eventSource">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eventSource</h4>
<pre>protected&nbsp;<a href="../../util/mxEventSource.html" title="class in hk.quantr.mxgraph.util">mxEventSource</a> eventSource</pre>
<div class="block">Holds the event source.</div>
</li>
</ul>
<a id="graphComponent">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>graphComponent</h4>
<pre>protected&nbsp;<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a> graphComponent</pre>
<div class="block">Holds the enclosing graph component.</div>
</li>
</ul>
<a id="enabled">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enabled</h4>
<pre>protected&nbsp;boolean enabled</pre>
<div class="block">Specifies if the marker is enabled. Default is true.</div>
</li>
</ul>
<a id="hotspot">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hotspot</h4>
<pre>protected&nbsp;double hotspot</pre>
<div class="block">Specifies the portion of the width and height that should trigger
 a highlight. The area around the center of the cell to be marked is used
 as the hotspot. Possible values are between 0 and 1. Default is
 mxConstants.DEFAULT_HOTSPOT.</div>
</li>
</ul>
<a id="hotspotEnabled">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hotspotEnabled</h4>
<pre>protected&nbsp;boolean hotspotEnabled</pre>
<div class="block">Specifies if the hotspot is enabled. Default is false.</div>
</li>
</ul>
<a id="swimlaneContentEnabled">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>swimlaneContentEnabled</h4>
<pre>protected&nbsp;boolean swimlaneContentEnabled</pre>
<div class="block">Specifies if the the content area of swimlane should be non-transparent
 to mouse events. Default is false.</div>
</li>
</ul>
<a id="validColor">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validColor</h4>
<pre>protected&nbsp;java.awt.Color validColor</pre>
<div class="block">Specifies the valid- and invalidColor for the marker.</div>
</li>
</ul>
<a id="invalidColor">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>invalidColor</h4>
<pre>protected&nbsp;java.awt.Color invalidColor</pre>
<div class="block">Specifies the valid- and invalidColor for the marker.</div>
</li>
</ul>
<a id="currentColor">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentColor</h4>
<pre>protected transient&nbsp;java.awt.Color currentColor</pre>
<div class="block">Holds the current marker color.</div>
</li>
</ul>
<a id="validState">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validState</h4>
<pre>protected transient&nbsp;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a> validState</pre>
<div class="block">Holds the marked state if it is valid.</div>
</li>
</ul>
<a id="markedState">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>markedState</h4>
<pre>protected transient&nbsp;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a> markedState</pre>
<div class="block">Holds the marked state.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(hk.quantr.mxgraph.swing.mxGraphComponent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxCellMarker</h4>
<pre>public&nbsp;mxCellMarker&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent)</pre>
<div class="block">Constructs a new marker for the given graph component.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>graphComponent</code> - </dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Color)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxCellMarker</h4>
<pre>public&nbsp;mxCellMarker&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                    java.awt.Color&nbsp;validColor)</pre>
<div class="block">Constructs a new marker for the given graph component.</div>
</li>
</ul>
<a id="&lt;init&gt;(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Color,java.awt.Color)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mxCellMarker</h4>
<pre>public&nbsp;mxCellMarker&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                    java.awt.Color&nbsp;validColor,
                    java.awt.Color&nbsp;invalidColor)</pre>
<div class="block">Constructs a new marker for the given graph component.</div>
</li>
</ul>
<a id="&lt;init&gt;(hk.quantr.mxgraph.swing.mxGraphComponent,java.awt.Color,java.awt.Color,double)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxCellMarker</h4>
<pre>public&nbsp;mxCellMarker&#8203;(<a href="../mxGraphComponent.html" title="class in hk.quantr.mxgraph.swing">mxGraphComponent</a>&nbsp;graphComponent,
                    java.awt.Color&nbsp;validColor,
                    java.awt.Color&nbsp;invalidColor,
                    double&nbsp;hotspot)</pre>
<div class="block">Constructs a new marker for the given graph component.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="setEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnabled</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setEnabled&#8203;(boolean&nbsp;enabled)</pre>
<div class="block">Sets the enabled state of the marker.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>setEnabled</code>&nbsp;in class&nbsp;<code>javax.swing.JComponent</code></dd>
</dl>
</li>
</ul>
<a id="isEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEnabled</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isEnabled()</pre>
<div class="block">Returns true if the marker is enabled, that is, if it processes events
 in process.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>isEnabled</code>&nbsp;in class&nbsp;<code>java.awt.Component</code></dd>
</dl>
</li>
</ul>
<a id="setHotspot(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHotspot</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setHotspot&#8203;(double&nbsp;hotspot)</pre>
<div class="block">Sets the hotspot.</div>
</li>
</ul>
<a id="getHotspot()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHotspot</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getHotspot()</pre>
<div class="block">Returns the hotspot.</div>
</li>
</ul>
<a id="setHotspotEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHotspotEnabled</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setHotspotEnabled&#8203;(boolean&nbsp;enabled)</pre>
<div class="block">Specifies whether the hotspot should be used in intersects.</div>
</li>
</ul>
<a id="isHotspotEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isHotspotEnabled</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isHotspotEnabled()</pre>
<div class="block">Returns true if hotspot is used in intersects.</div>
</li>
</ul>
<a id="setSwimlaneContentEnabled(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSwimlaneContentEnabled</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSwimlaneContentEnabled&#8203;(boolean&nbsp;swimlaneContentEnabled)</pre>
<div class="block">Sets if the content area of swimlanes should not be transparent to
 events.</div>
</li>
</ul>
<a id="isSwimlaneContentEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSwimlaneContentEnabled</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isSwimlaneContentEnabled()</pre>
<div class="block">Returns true if the content area of swimlanes is non-transparent to
 events.</div>
</li>
</ul>
<a id="setValidColor(java.awt.Color)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValidColor</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setValidColor&#8203;(java.awt.Color&nbsp;value)</pre>
<div class="block">Sets the color used for valid highlights.</div>
</li>
</ul>
<a id="getValidColor()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValidColor</h4>
<pre class="methodSignature">public&nbsp;java.awt.Color&nbsp;getValidColor()</pre>
<div class="block">Returns the color used for valid highlights.</div>
</li>
</ul>
<a id="setInvalidColor(java.awt.Color)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInvalidColor</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setInvalidColor&#8203;(java.awt.Color&nbsp;value)</pre>
<div class="block">Sets the color used for invalid highlights.</div>
</li>
</ul>
<a id="getInvalidColor()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInvalidColor</h4>
<pre class="methodSignature">public&nbsp;java.awt.Color&nbsp;getInvalidColor()</pre>
<div class="block">Returns the color used for invalid highlights.</div>
</li>
</ul>
<a id="hasValidState()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasValidState</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;hasValidState()</pre>
<div class="block">Returns true if validState is not null.</div>
</li>
</ul>
<a id="getValidState()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValidState</h4>
<pre class="methodSignature">public&nbsp;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;getValidState()</pre>
<div class="block">Returns the valid state.</div>
</li>
</ul>
<a id="setCurrentColor(java.awt.Color)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCurrentColor</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setCurrentColor&#8203;(java.awt.Color&nbsp;value)</pre>
<div class="block">Sets the current color.</div>
</li>
</ul>
<a id="getCurrentColor()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentColor</h4>
<pre class="methodSignature">public&nbsp;java.awt.Color&nbsp;getCurrentColor()</pre>
<div class="block">Returns the current color.</div>
</li>
</ul>
<a id="setMarkedState(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMarkedState</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setMarkedState&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;value)</pre>
<div class="block">Sets the marked state.</div>
</li>
</ul>
<a id="getMarkedState()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMarkedState</h4>
<pre class="methodSignature">public&nbsp;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;getMarkedState()</pre>
<div class="block">Returns the marked state.</div>
</li>
</ul>
<a id="reset()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reset</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;reset()</pre>
<div class="block">Resets the state of the cell marker.</div>
</li>
</ul>
<a id="process(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>process</h4>
<pre class="methodSignature">public&nbsp;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;process&#8203;(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Processes the given event and marks the state returned by getStateAt
 with the color returned by getMarkerColor. If the markerColor is not
 null, then the state is stored in markedState. If isValidState returns
 true, then the state is stored in validState regardless of the marker
 color. The state is returned regardless of the marker color and
 valid state.</div>
</li>
</ul>
<a id="highlight(hk.quantr.mxgraph.view.mxCellState,java.awt.Color)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>highlight</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;highlight&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                      java.awt.Color&nbsp;color)</pre>
</li>
</ul>
<a id="highlight(hk.quantr.mxgraph.view.mxCellState,java.awt.Color,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>highlight</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;highlight&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                      java.awt.Color&nbsp;color,
                      boolean&nbsp;valid)</pre>
</li>
</ul>
<a id="mark()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mark</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;mark()</pre>
<div class="block">Marks the markedState and fires a mxEvent.MARK event.</div>
</li>
</ul>
<a id="unmark()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unmark</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;unmark()</pre>
<div class="block">Hides the marker and fires a mxEvent.MARK event.</div>
</li>
</ul>
<a id="isValidState(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isValidState</h4>
<pre class="methodSignature">protected&nbsp;boolean&nbsp;isValidState&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Returns true if the given state is a valid state. If this returns true,
 then the state is stored in validState. The return value of this method
 is used as the argument for getMarkerColor.</div>
</li>
</ul>
<a id="getMarkerColor(java.awt.event.MouseEvent,hk.quantr.mxgraph.view.mxCellState,boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMarkerColor</h4>
<pre class="methodSignature">protected&nbsp;java.awt.Color&nbsp;getMarkerColor&#8203;(java.awt.event.MouseEvent&nbsp;e,
                                        <a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                                        boolean&nbsp;isValid)</pre>
<div class="block">Returns the valid- or invalidColor depending on the value of isValid.
 The given state is ignored by this implementation.</div>
</li>
</ul>
<a id="getState(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getState</h4>
<pre class="methodSignature">protected&nbsp;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;getState&#8203;(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Uses getCell, getMarkedState and intersects to return the state for
 the given event.</div>
</li>
</ul>
<a id="getCell(java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCell</h4>
<pre class="methodSignature">protected&nbsp;java.lang.Object&nbsp;getCell&#8203;(java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Returns the state at the given location. This uses mxGraph.getCellAt.</div>
</li>
</ul>
<a id="getStateToMark(hk.quantr.mxgraph.view.mxCellState)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStateToMark</h4>
<pre class="methodSignature">protected&nbsp;<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;getStateToMark&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state)</pre>
<div class="block">Returns the state to be marked for the given state under the mouse. This
 returns the given state.</div>
</li>
</ul>
<a id="intersects(hk.quantr.mxgraph.view.mxCellState,java.awt.event.MouseEvent)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>intersects</h4>
<pre class="methodSignature">protected&nbsp;boolean&nbsp;intersects&#8203;(<a href="../../view/mxCellState.html" title="class in hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
                             java.awt.event.MouseEvent&nbsp;e)</pre>
<div class="block">Returns true if the given mouse event intersects the given state. This
 returns true if the hotspot is 0 or the event is inside the hotspot for
 the given cell state.</div>
</li>
</ul>
<a id="addListener(java.lang.String,hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addListener</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;addListener&#8203;(java.lang.String&nbsp;eventName,
                        <a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</pre>
<div class="block">Adds the given event listener.</div>
</li>
</ul>
<a id="removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeListener</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;removeListener&#8203;(<a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener)</pre>
<div class="block">Removes the given event listener.</div>
</li>
</ul>
<a id="removeListener(hk.quantr.mxgraph.util.mxEventSource.mxIEventListener,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeListener</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;removeListener&#8203;(<a href="../../util/mxEventSource.mxIEventListener.html" title="interface in hk.quantr.mxgraph.util">mxEventSource.mxIEventListener</a>&nbsp;listener,
                           java.lang.String&nbsp;eventName)</pre>
<div class="block">Removes the given event listener for the specified event name.</div>
</li>
</ul>
<a id="paint(java.awt.Graphics)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>paint</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;paint&#8203;(java.awt.Graphics&nbsp;g)</pre>
<div class="block">Paints the outline of the markedState with the currentColor.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>paint</code>&nbsp;in class&nbsp;<code>javax.swing.JComponent</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxCellMarker.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
